From f072de90684c41fe6863aed1150ae3249778d796 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 14 Jan 2019 18:30:31 -0800
Subject: [PATCH v1 3/3] Replace uses of heap_open et al with table_open et al.

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 contrib/amcheck/verify_nbtree.c             |   4 +-
 contrib/dblink/dblink.c                     |   6 +-
 contrib/file_fdw/file_fdw.c                 |   8 +-
 contrib/pgrowlocks/pgrowlocks.c             |   2 +-
 contrib/postgres_fdw/deparse.c              |  12 +-
 contrib/postgres_fdw/postgres_fdw.c         |   8 +-
 contrib/sepgsql/database.c                  |   4 +-
 contrib/sepgsql/label.c                     |   4 +-
 contrib/sepgsql/proc.c                      |   8 +-
 contrib/sepgsql/relation.c                  |  20 +-
 contrib/sepgsql/schema.c                    |   4 +-
 src/backend/access/brin/brin.c              |  12 +-
 src/backend/access/heap/heapam.c            |   4 +-
 src/backend/access/heap/tuptoaster.c        |  24 +-
 src/backend/access/nbtree/nbtsort.c         |   4 +-
 src/backend/bootstrap/bootstrap.c           |  16 +-
 src/backend/catalog/aclchk.c                |  82 ++---
 src/backend/catalog/catalog.c               |   4 +-
 src/backend/catalog/dependency.c            |  16 +-
 src/backend/catalog/heap.c                  | 102 +++---
 src/backend/catalog/index.c                 |  64 ++--
 src/backend/catalog/objectaddress.c         |  80 ++---
 src/backend/catalog/partition.c             |  12 +-
 src/backend/catalog/pg_aggregate.c          |   4 +-
 src/backend/catalog/pg_collation.c          |  12 +-
 src/backend/catalog/pg_constraint.c         |  76 ++--
 src/backend/catalog/pg_conversion.c         |   8 +-
 src/backend/catalog/pg_db_role_setting.c    |   8 +-
 src/backend/catalog/pg_depend.c             |  36 +-
 src/backend/catalog/pg_enum.c               |  16 +-
 src/backend/catalog/pg_inherits.c           |  20 +-
 src/backend/catalog/pg_largeobject.c        |  16 +-
 src/backend/catalog/pg_namespace.c          |   4 +-
 src/backend/catalog/pg_operator.c           |  12 +-
 src/backend/catalog/pg_proc.c               |   4 +-
 src/backend/catalog/pg_publication.c        |  18 +-
 src/backend/catalog/pg_range.c              |   8 +-
 src/backend/catalog/pg_shdepend.c           |  40 +--
 src/backend/catalog/pg_subscription.c       |  30 +-
 src/backend/catalog/pg_type.c               |  16 +-
 src/backend/catalog/toasting.c              |  18 +-
 src/backend/commands/alter.c                |  18 +-
 src/backend/commands/amcmds.c               |   8 +-
 src/backend/commands/analyze.c              |  16 +-
 src/backend/commands/cluster.c              |  44 +--
 src/backend/commands/collationcmds.c        |   4 +-
 src/backend/commands/comment.c              |  20 +-
 src/backend/commands/copy.c                 |   6 +-
 src/backend/commands/createas.c             |   4 +-
 src/backend/commands/dbcommands.c           |  48 +--
 src/backend/commands/dropcmds.c             |   2 +-
 src/backend/commands/event_trigger.c        |  30 +-
 src/backend/commands/extension.c            |  46 +--
 src/backend/commands/foreigncmds.c          |  60 ++--
 src/backend/commands/functioncmds.c         |  36 +-
 src/backend/commands/indexcmds.c            |  32 +-
 src/backend/commands/lockcmds.c             |   4 +-
 src/backend/commands/matview.c              |  20 +-
 src/backend/commands/opclasscmds.c          |  32 +-
 src/backend/commands/operatorcmds.c         |   8 +-
 src/backend/commands/policy.c               |  36 +-
 src/backend/commands/proclang.c             |  12 +-
 src/backend/commands/publicationcmds.c      |  34 +-
 src/backend/commands/schemacmds.c           |  16 +-
 src/backend/commands/seclabel.c             |  24 +-
 src/backend/commands/sequence.c             |  16 +-
 src/backend/commands/statscmds.c            |   6 +-
 src/backend/commands/subscriptioncmds.c     |  24 +-
 src/backend/commands/tablecmds.c            | 364 ++++++++++----------
 src/backend/commands/tablespace.c           |  26 +-
 src/backend/commands/trigger.c              |  54 +--
 src/backend/commands/tsearchcmds.c          |  48 +--
 src/backend/commands/typecmds.c             |  68 ++--
 src/backend/commands/user.c                 |  32 +-
 src/backend/commands/vacuum.c               |  20 +-
 src/backend/executor/execMain.c             |   6 +-
 src/backend/executor/execPartition.c        |   8 +-
 src/backend/executor/execUtils.c            |   6 +-
 src/backend/optimizer/plan/planner.c        |   4 +-
 src/backend/optimizer/prep/preptlist.c      |   4 +-
 src/backend/optimizer/util/inherit.c        |  14 +-
 src/backend/optimizer/util/plancat.c        |  26 +-
 src/backend/parser/parse_clause.c           |   4 +-
 src/backend/parser/parse_node.c             |   2 +-
 src/backend/parser/parse_relation.c         |  18 +-
 src/backend/parser/parse_utilcmd.c          |  16 +-
 src/backend/partitioning/partbounds.c       |   8 +-
 src/backend/postmaster/autovacuum.c         |   8 +-
 src/backend/postmaster/pgstat.c             |   4 +-
 src/backend/replication/logical/launcher.c  |   4 +-
 src/backend/replication/logical/origin.c    |   8 +-
 src/backend/replication/logical/relation.c  |   6 +-
 src/backend/replication/logical/tablesync.c |   4 +-
 src/backend/rewrite/rewriteDefine.c         |  20 +-
 src/backend/rewrite/rewriteHandler.c        |  20 +-
 src/backend/rewrite/rewriteRemove.c         |   8 +-
 src/backend/rewrite/rewriteSupport.c        |   4 +-
 src/backend/rewrite/rowsecurity.c           |   4 +-
 src/backend/statistics/extended_stats.c     |   4 +-
 src/backend/storage/large_object/inv_api.c  |   8 +-
 src/backend/utils/adt/enum.c                |   8 +-
 src/backend/utils/adt/misc.c                |   4 +-
 src/backend/utils/adt/ri_triggers.c         |  34 +-
 src/backend/utils/adt/ruleutils.c           |  24 +-
 src/backend/utils/adt/selfuncs.c            |   4 +-
 src/backend/utils/adt/tid.c                 |  10 +-
 src/backend/utils/adt/xml.c                 |  16 +-
 src/backend/utils/cache/catcache.c          |  14 +-
 src/backend/utils/cache/relcache.c          |  48 +--
 src/backend/utils/cache/relfilenodemap.c    |   4 +-
 src/backend/utils/cache/ts_cache.c          |   4 +-
 src/backend/utils/cache/typcache.c          |   8 +-
 src/backend/utils/init/postinit.c           |  16 +-
 src/backend/utils/misc/queryenvironment.c   |   4 +-
 114 files changed, 1240 insertions(+), 1240 deletions(-)

diff --git a/contrib/amcheck/verify_nbtree.c b/contrib/amcheck/verify_nbtree.c
index 055bfa05707..1c7466c8158 100644
--- a/contrib/amcheck/verify_nbtree.c
+++ b/contrib/amcheck/verify_nbtree.c
@@ -219,7 +219,7 @@ bt_index_check_internal(Oid indrelid, bool parentcheck, bool heapallindexed)
 	 */
 	heapid = IndexGetRelation(indrelid, true);
 	if (OidIsValid(heapid))
-		heaprel = heap_open(heapid, lockmode);
+		heaprel = table_open(heapid, lockmode);
 	else
 		heaprel = NULL;
 
@@ -261,7 +261,7 @@ bt_index_check_internal(Oid indrelid, bool parentcheck, bool heapallindexed)
 	 */
 	index_close(indrel, lockmode);
 	if (heaprel)
-		heap_close(heaprel, lockmode);
+		table_close(heaprel, lockmode);
 }
 
 /*
diff --git a/contrib/dblink/dblink.c b/contrib/dblink/dblink.c
index 5092aba3e42..6f5f0a7fa57 100644
--- a/contrib/dblink/dblink.c
+++ b/contrib/dblink/dblink.c
@@ -2050,7 +2050,7 @@ get_pkey_attnames(Relation rel, int16 *indnkeyatts)
 	tupdesc = rel->rd_att;
 
 	/* Prepare to scan pg_index for entries having indrelid = this rel. */
-	indexRelation = heap_open(IndexRelationId, AccessShareLock);
+	indexRelation = table_open(IndexRelationId, AccessShareLock);
 	ScanKeyInit(&skey,
 				Anum_pg_index_indrelid,
 				BTEqualStrategyNumber, F_OIDEQ,
@@ -2079,7 +2079,7 @@ get_pkey_attnames(Relation rel, int16 *indnkeyatts)
 	}
 
 	systable_endscan(scan);
-	heap_close(indexRelation, AccessShareLock);
+	table_close(indexRelation, AccessShareLock);
 
 	return result;
 }
@@ -2503,7 +2503,7 @@ get_rel_from_relname(text *relname_text, LOCKMODE lockmode, AclMode aclmode)
 	AclResult	aclresult;
 
 	relvar = makeRangeVarFromNameList(textToQualifiedNameList(relname_text));
-	rel = heap_openrv(relvar, lockmode);
+	rel = table_openrv(relvar, lockmode);
 
 	aclresult = pg_class_aclcheck(RelationGetRelid(rel), GetUserId(),
 								  aclmode);
diff --git a/contrib/file_fdw/file_fdw.c b/contrib/file_fdw/file_fdw.c
index 9b73696e2a7..e7db83d3fbb 100644
--- a/contrib/file_fdw/file_fdw.c
+++ b/contrib/file_fdw/file_fdw.c
@@ -439,7 +439,7 @@ get_file_fdw_attribute_options(Oid relid)
 
 	List	   *options = NIL;
 
-	rel = heap_open(relid, AccessShareLock);
+	rel = table_open(relid, AccessShareLock);
 	tupleDesc = RelationGetDescr(rel);
 	natts = tupleDesc->natts;
 
@@ -481,7 +481,7 @@ get_file_fdw_attribute_options(Oid relid)
 		}
 	}
 
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	/*
 	 * Return DefElem only when some column(s) have force_not_null /
@@ -892,7 +892,7 @@ check_selective_binary_conversion(RelOptInfo *baserel,
 	}
 
 	/* Convert attribute numbers to column names. */
-	rel = heap_open(foreigntableid, AccessShareLock);
+	rel = table_open(foreigntableid, AccessShareLock);
 	tupleDesc = RelationGetDescr(rel);
 
 	while ((attnum = bms_first_member(attrs_used)) >= 0)
@@ -934,7 +934,7 @@ check_selective_binary_conversion(RelOptInfo *baserel,
 		numattrs++;
 	}
 
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	/* If there's a whole-row reference, fail: we need all the columns. */
 	if (has_wholerow)
diff --git a/contrib/pgrowlocks/pgrowlocks.c b/contrib/pgrowlocks/pgrowlocks.c
index fffee6e27e0..2cb3d1ca3bc 100644
--- a/contrib/pgrowlocks/pgrowlocks.c
+++ b/contrib/pgrowlocks/pgrowlocks.c
@@ -307,7 +307,7 @@ pgrowlocks(PG_FUNCTION_ARGS)
 	}
 
 	heap_endscan(scan);
-	heap_close(mydata->rel, AccessShareLock);
+	table_close(mydata->rel, AccessShareLock);
 
 	SRF_RETURN_DONE(funcctx);
 }
diff --git a/contrib/postgres_fdw/deparse.c b/contrib/postgres_fdw/deparse.c
index 20982daef68..f368d4b31fb 100644
--- a/contrib/postgres_fdw/deparse.c
+++ b/contrib/postgres_fdw/deparse.c
@@ -1048,11 +1048,11 @@ deparseSelectSql(List *tlist, bool is_subquery, List **retrieved_attrs,
 		 * Core code already has some lock on each rel being planned, so we
 		 * can use NoLock here.
 		 */
-		Relation	rel = heap_open(rte->relid, NoLock);
+		Relation	rel = table_open(rte->relid, NoLock);
 
 		deparseTargetList(buf, rte, foreignrel->relid, rel, false,
 						  fpinfo->attrs_used, false, retrieved_attrs);
-		heap_close(rel, NoLock);
+		table_close(rel, NoLock);
 	}
 }
 
@@ -1543,7 +1543,7 @@ deparseFromExprForRel(StringInfo buf, PlannerInfo *root, RelOptInfo *foreignrel,
 		 * Core code already has some lock on each rel being planned, so we
 		 * can use NoLock here.
 		 */
-		Relation	rel = heap_open(rte->relid, NoLock);
+		Relation	rel = table_open(rte->relid, NoLock);
 
 		deparseRelation(buf, rel);
 
@@ -1555,7 +1555,7 @@ deparseFromExprForRel(StringInfo buf, PlannerInfo *root, RelOptInfo *foreignrel,
 		if (use_alias)
 			appendStringInfo(buf, " %s%d", REL_ALIAS_PREFIX, foreignrel->relid);
 
-		heap_close(rel, NoLock);
+		table_close(rel, NoLock);
 	}
 }
 
@@ -2097,7 +2097,7 @@ deparseColumnRef(StringInfo buf, int varno, int varattno, RangeTblEntry *rte,
 		 * The lock on the relation will be held by upper callers, so it's
 		 * fine to open it with no lock here.
 		 */
-		rel = heap_open(rte->relid, NoLock);
+		rel = table_open(rte->relid, NoLock);
 
 		/*
 		 * The local name of the foreign table can not be recognized by the
@@ -2132,7 +2132,7 @@ deparseColumnRef(StringInfo buf, int varno, int varattno, RangeTblEntry *rte,
 		if (qualify_col)
 			appendStringInfoString(buf, " END");
 
-		heap_close(rel, NoLock);
+		table_close(rel, NoLock);
 		bms_free(attrs_used);
 	}
 	else
diff --git a/contrib/postgres_fdw/postgres_fdw.c b/contrib/postgres_fdw/postgres_fdw.c
index 6200b430200..16ccfb188c0 100644
--- a/contrib/postgres_fdw/postgres_fdw.c
+++ b/contrib/postgres_fdw/postgres_fdw.c
@@ -1611,7 +1611,7 @@ postgresPlanForeignModify(PlannerInfo *root,
 	 * Core code already has some lock on each rel being planned, so we can
 	 * use NoLock here.
 	 */
-	rel = heap_open(rte->relid, NoLock);
+	rel = table_open(rte->relid, NoLock);
 
 	/*
 	 * In an INSERT, we transmit all columns that are defined in the foreign
@@ -1701,7 +1701,7 @@ postgresPlanForeignModify(PlannerInfo *root,
 			break;
 	}
 
-	heap_close(rel, NoLock);
+	table_close(rel, NoLock);
 
 	/*
 	 * Build the fdw_private list that will be available to the executor.
@@ -2290,7 +2290,7 @@ postgresPlanDirectModify(PlannerInfo *root,
 	 * Core code already has some lock on each rel being planned, so we can
 	 * use NoLock here.
 	 */
-	rel = heap_open(rte->relid, NoLock);
+	rel = table_open(rte->relid, NoLock);
 
 	/*
 	 * Recall the qual clauses that must be evaluated remotely.  (These are
@@ -2376,7 +2376,7 @@ postgresPlanDirectModify(PlannerInfo *root,
 			rebuild_fdw_scan_tlist(fscan, returningList);
 	}
 
-	heap_close(rel, NoLock);
+	table_close(rel, NoLock);
 	return true;
 }
 
diff --git a/contrib/sepgsql/database.c b/contrib/sepgsql/database.c
index 837728e07b0..b2419f0d811 100644
--- a/contrib/sepgsql/database.c
+++ b/contrib/sepgsql/database.c
@@ -77,7 +77,7 @@ sepgsql_database_post_create(Oid databaseId, const char *dtemplate)
 	 * XXX - uncoming version of libselinux supports to take object name to
 	 * handle special treatment on default security label.
 	 */
-	rel = heap_open(DatabaseRelationId, AccessShareLock);
+	rel = table_open(DatabaseRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_database_oid,
@@ -110,7 +110,7 @@ sepgsql_database_post_create(Oid databaseId, const char *dtemplate)
 								  true);
 
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	/*
 	 * Assign the default security label on the new database
diff --git a/contrib/sepgsql/label.c b/contrib/sepgsql/label.c
index 19bbee328e3..d7f5d20d63d 100644
--- a/contrib/sepgsql/label.c
+++ b/contrib/sepgsql/label.c
@@ -727,7 +727,7 @@ exec_object_restorecon(struct selabel_handle *sehnd, Oid catalogId)
 	 * Open the target catalog. We don't want to allow writable accesses by
 	 * other session during initial labeling.
 	 */
-	rel = heap_open(catalogId, AccessShareLock);
+	rel = table_open(catalogId, AccessShareLock);
 
 	sscan = systable_beginscan(rel, InvalidOid, false,
 							   NULL, 0, NULL);
@@ -881,7 +881,7 @@ exec_object_restorecon(struct selabel_handle *sehnd, Oid catalogId)
 	}
 	systable_endscan(sscan);
 
-	heap_close(rel, NoLock);
+	table_close(rel, NoLock);
 }
 
 /*
diff --git a/contrib/sepgsql/proc.c b/contrib/sepgsql/proc.c
index 74487eda03a..a4038dfd1b8 100644
--- a/contrib/sepgsql/proc.c
+++ b/contrib/sepgsql/proc.c
@@ -56,7 +56,7 @@ sepgsql_proc_post_create(Oid functionId)
 	 * Fetch namespace of the new procedure. Because pg_proc entry is not
 	 * visible right now, we need to scan the catalog using SnapshotSelf.
 	 */
-	rel = heap_open(ProcedureRelationId, AccessShareLock);
+	rel = table_open(ProcedureRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_proc_oid,
@@ -141,7 +141,7 @@ sepgsql_proc_post_create(Oid functionId)
 	 * Cleanup
 	 */
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	pfree(audit_name.data);
 	pfree(tcontext);
@@ -250,7 +250,7 @@ sepgsql_proc_setattr(Oid functionId)
 	/*
 	 * Fetch newer catalog
 	 */
-	rel = heap_open(ProcedureRelationId, AccessShareLock);
+	rel = table_open(ProcedureRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_proc_oid,
@@ -305,7 +305,7 @@ sepgsql_proc_setattr(Oid functionId)
 
 	ReleaseSysCache(oldtup);
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 }
 
 /*
diff --git a/contrib/sepgsql/relation.c b/contrib/sepgsql/relation.c
index 12cfebecc64..6842d2a42b7 100644
--- a/contrib/sepgsql/relation.c
+++ b/contrib/sepgsql/relation.c
@@ -67,7 +67,7 @@ sepgsql_attribute_post_create(Oid relOid, AttrNumber attnum)
 	 * Compute a default security label of the new column underlying the
 	 * specified relation, and check permission to create it.
 	 */
-	rel = heap_open(AttributeRelationId, AccessShareLock);
+	rel = table_open(AttributeRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey[0],
 				Anum_pg_attribute_attrelid,
@@ -120,7 +120,7 @@ sepgsql_attribute_post_create(Oid relOid, AttrNumber attnum)
 	SetSecurityLabel(&object, SEPGSQL_LABEL_TAG, ncontext);
 
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	pfree(tcontext);
 	pfree(ncontext);
@@ -259,7 +259,7 @@ sepgsql_relation_post_create(Oid relOid)
 	 * Fetch catalog record of the new relation. Because pg_class entry is not
 	 * visible right now, we need to scan the catalog using SnapshotSelf.
 	 */
-	rel = heap_open(RelationRelationId, AccessShareLock);
+	rel = table_open(RelationRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_class_oid,
@@ -358,7 +358,7 @@ sepgsql_relation_post_create(Oid relOid)
 		HeapTuple	atup;
 		Form_pg_attribute attForm;
 
-		arel = heap_open(AttributeRelationId, AccessShareLock);
+		arel = table_open(AttributeRelationId, AccessShareLock);
 
 		ScanKeyInit(&akey,
 					Anum_pg_attribute_attrelid,
@@ -400,13 +400,13 @@ sepgsql_relation_post_create(Oid relOid)
 			pfree(ccontext);
 		}
 		systable_endscan(ascan);
-		heap_close(arel, AccessShareLock);
+		table_close(arel, AccessShareLock);
 	}
 	pfree(rcontext);
 
 out:
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 }
 
 /*
@@ -611,7 +611,7 @@ sepgsql_relation_setattr(Oid relOid)
 	/*
 	 * Fetch newer catalog
 	 */
-	rel = heap_open(RelationRelationId, AccessShareLock);
+	rel = table_open(RelationRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_class_oid,
@@ -667,7 +667,7 @@ sepgsql_relation_setattr(Oid relOid)
 
 	ReleaseSysCache(oldtup);
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 }
 
 /*
@@ -723,7 +723,7 @@ sepgsql_relation_setattr_extra(Relation catalog,
 static void
 sepgsql_index_modify(Oid indexOid)
 {
-	Relation	catalog = heap_open(IndexRelationId, AccessShareLock);
+	Relation	catalog = table_open(IndexRelationId, AccessShareLock);
 
 	/* check db_table:{setattr} permission of the table being indexed */
 	sepgsql_relation_setattr_extra(catalog,
@@ -731,5 +731,5 @@ sepgsql_index_modify(Oid indexOid)
 								   indexOid,
 								   Anum_pg_index_indrelid,
 								   Anum_pg_index_indexrelid);
-	heap_close(catalog, AccessShareLock);
+	table_close(catalog, AccessShareLock);
 }
diff --git a/contrib/sepgsql/schema.c b/contrib/sepgsql/schema.c
index 752cd56a86a..668d65e70f5 100644
--- a/contrib/sepgsql/schema.c
+++ b/contrib/sepgsql/schema.c
@@ -56,7 +56,7 @@ sepgsql_schema_post_create(Oid namespaceId)
 	 * handle special treatment on default security label; such as special
 	 * label on "pg_temp" schema.
 	 */
-	rel = heap_open(NamespaceRelationId, AccessShareLock);
+	rel = table_open(NamespaceRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
 				Anum_pg_namespace_oid,
@@ -93,7 +93,7 @@ sepgsql_schema_post_create(Oid namespaceId)
 								  audit_name.data,
 								  true);
 	systable_endscan(sscan);
-	heap_close(rel, AccessShareLock);
+	table_close(rel, AccessShareLock);
 
 	/*
 	 * Assign the default security label on a new procedure
diff --git a/src/backend/access/brin/brin.c b/src/backend/access/brin/brin.c
index 34f82d46821..621b6cdad7d 100644
--- a/src/backend/access/brin/brin.c
+++ b/src/backend/access/brin/brin.c
@@ -390,9 +390,9 @@ bringetbitmap(IndexScanDesc scan, TIDBitmap *tbm)
 	 * iterate on the revmap.
 	 */
 	heapOid = IndexGetRelation(RelationGetRelid(idxRel), false);
-	heapRel = heap_open(heapOid, AccessShareLock);
+	heapRel = table_open(heapOid, AccessShareLock);
 	nblocks = RelationGetNumberOfBlocks(heapRel);
-	heap_close(heapRel, AccessShareLock);
+	table_close(heapRel, AccessShareLock);
 
 	/*
 	 * Make room for the consistent support procedures of indexed columns.  We
@@ -799,7 +799,7 @@ brinvacuumcleanup(IndexVacuumInfo *info, IndexBulkDeleteResult *stats)
 	stats->num_pages = RelationGetNumberOfBlocks(info->index);
 	/* rest of stats is initialized by zeroing */
 
-	heapRel = heap_open(IndexGetRelation(RelationGetRelid(info->index), false),
+	heapRel = table_open(IndexGetRelation(RelationGetRelid(info->index), false),
 						AccessShareLock);
 
 	brin_vacuum_scan(info->index, info->strategy);
@@ -807,7 +807,7 @@ brinvacuumcleanup(IndexVacuumInfo *info, IndexBulkDeleteResult *stats)
 	brinsummarize(info->index, heapRel, BRIN_ALL_BLOCKRANGES, false,
 				  &stats->num_index_tuples, &stats->num_index_tuples);
 
-	heap_close(heapRel, AccessShareLock);
+	table_close(heapRel, AccessShareLock);
 
 	return stats;
 }
@@ -897,7 +897,7 @@ brin_summarize_range(PG_FUNCTION_ARGS)
 	 */
 	heapoid = IndexGetRelation(indexoid, true);
 	if (OidIsValid(heapoid))
-		heapRel = heap_open(heapoid, ShareUpdateExclusiveLock);
+		heapRel = table_open(heapoid, ShareUpdateExclusiveLock);
 	else
 		heapRel = NULL;
 
@@ -974,7 +974,7 @@ brin_desummarize_range(PG_FUNCTION_ARGS)
 	 */
 	heapoid = IndexGetRelation(indexoid, true);
 	if (OidIsValid(heapoid))
-		heapRel = heap_open(heapoid, ShareUpdateExclusiveLock);
+		heapRel = table_open(heapoid, ShareUpdateExclusiveLock);
 	else
 		heapRel = NULL;
 
diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 3415a697398..220c28146ac 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -9082,10 +9082,10 @@ heap_sync(Relation rel)
 	{
 		Relation	toastrel;
 
-		toastrel = heap_open(rel->rd_rel->reltoastrelid, AccessShareLock);
+		toastrel = table_open(rel->rd_rel->reltoastrelid, AccessShareLock);
 		FlushRelationBuffers(toastrel);
 		smgrimmedsync(toastrel->rd_smgr, MAIN_FORKNUM);
-		heap_close(toastrel, AccessShareLock);
+		table_close(toastrel, AccessShareLock);
 	}
 }
 
diff --git a/src/backend/access/heap/tuptoaster.c b/src/backend/access/heap/tuptoaster.c
index 0ffc5392a6d..6763fb920c2 100644
--- a/src/backend/access/heap/tuptoaster.c
+++ b/src/backend/access/heap/tuptoaster.c
@@ -1422,7 +1422,7 @@ toast_get_valid_index(Oid toastoid, LOCKMODE lock)
 	Relation	toastrel;
 
 	/* Open the toast relation */
-	toastrel = heap_open(toastoid, lock);
+	toastrel = table_open(toastoid, lock);
 
 	/* Look for the valid index of the toast relation */
 	validIndex = toast_open_indexes(toastrel,
@@ -1433,7 +1433,7 @@ toast_get_valid_index(Oid toastoid, LOCKMODE lock)
 
 	/* Close the toast relation and all its indexes */
 	toast_close_indexes(toastidxs, num_indexes, lock);
-	heap_close(toastrel, lock);
+	table_close(toastrel, lock);
 
 	return validIndexOid;
 }
@@ -1487,7 +1487,7 @@ toast_save_datum(Relation rel, Datum value,
 	 * uniqueness of the OID we assign to the toasted item, even though it has
 	 * additional columns besides OID.
 	 */
-	toastrel = heap_open(rel->rd_rel->reltoastrelid, RowExclusiveLock);
+	toastrel = table_open(rel->rd_rel->reltoastrelid, RowExclusiveLock);
 	toasttupDesc = toastrel->rd_att;
 
 	/* Open all the toast indexes and look for the valid one */
@@ -1692,7 +1692,7 @@ toast_save_datum(Relation rel, Datum value,
 	 * Done - close toast relation and its indexes
 	 */
 	toast_close_indexes(toastidxs, num_indexes, RowExclusiveLock);
-	heap_close(toastrel, RowExclusiveLock);
+	table_close(toastrel, RowExclusiveLock);
 
 	/*
 	 * Create the TOAST pointer value that we'll return
@@ -1734,7 +1734,7 @@ toast_delete_datum(Relation rel, Datum value, bool is_speculative)
 	/*
 	 * Open the toast relation and its indexes
 	 */
-	toastrel = heap_open(toast_pointer.va_toastrelid, RowExclusiveLock);
+	toastrel = table_open(toast_pointer.va_toastrelid, RowExclusiveLock);
 
 	/* Fetch valid relation used for process */
 	validIndex = toast_open_indexes(toastrel,
@@ -1774,7 +1774,7 @@ toast_delete_datum(Relation rel, Datum value, bool is_speculative)
 	 */
 	systable_endscan_ordered(toastscan);
 	toast_close_indexes(toastidxs, num_indexes, RowExclusiveLock);
-	heap_close(toastrel, RowExclusiveLock);
+	table_close(toastrel, RowExclusiveLock);
 }
 
 
@@ -1840,11 +1840,11 @@ toastid_valueid_exists(Oid toastrelid, Oid valueid)
 	bool		result;
 	Relation	toastrel;
 
-	toastrel = heap_open(toastrelid, AccessShareLock);
+	toastrel = table_open(toastrelid, AccessShareLock);
 
 	result = toastrel_valueid_exists(toastrel, valueid);
 
-	heap_close(toastrel, AccessShareLock);
+	table_close(toastrel, AccessShareLock);
 
 	return result;
 }
@@ -1899,7 +1899,7 @@ toast_fetch_datum(struct varlena *attr)
 	/*
 	 * Open the toast relation and its indexes
 	 */
-	toastrel = heap_open(toast_pointer.va_toastrelid, AccessShareLock);
+	toastrel = table_open(toast_pointer.va_toastrelid, AccessShareLock);
 	toasttupDesc = toastrel->rd_att;
 
 	/* Look for the valid index of the toast relation */
@@ -2016,7 +2016,7 @@ toast_fetch_datum(struct varlena *attr)
 	 */
 	systable_endscan_ordered(toastscan);
 	toast_close_indexes(toastidxs, num_indexes, AccessShareLock);
-	heap_close(toastrel, AccessShareLock);
+	table_close(toastrel, AccessShareLock);
 
 	return result;
 }
@@ -2102,7 +2102,7 @@ toast_fetch_datum_slice(struct varlena *attr, int32 sliceoffset, int32 length)
 	/*
 	 * Open the toast relation and its indexes
 	 */
-	toastrel = heap_open(toast_pointer.va_toastrelid, AccessShareLock);
+	toastrel = table_open(toast_pointer.va_toastrelid, AccessShareLock);
 	toasttupDesc = toastrel->rd_att;
 
 	/* Look for the valid index of toast relation */
@@ -2249,7 +2249,7 @@ toast_fetch_datum_slice(struct varlena *attr, int32 sliceoffset, int32 length)
 	 */
 	systable_endscan_ordered(toastscan);
 	toast_close_indexes(toastidxs, num_indexes, AccessShareLock);
-	heap_close(toastrel, AccessShareLock);
+	table_close(toastrel, AccessShareLock);
 
 	return result;
 }
diff --git a/src/backend/access/nbtree/nbtsort.c b/src/backend/access/nbtree/nbtsort.c
index 83966dc4d41..d9de2be5a88 100644
--- a/src/backend/access/nbtree/nbtsort.c
+++ b/src/backend/access/nbtree/nbtsort.c
@@ -1557,7 +1557,7 @@ _bt_parallel_build_main(dsm_segment *seg, shm_toc *toc)
 	}
 
 	/* Open relations within worker */
-	heapRel = heap_open(btshared->heaprelid, heapLockmode);
+	heapRel = table_open(btshared->heaprelid, heapLockmode);
 	indexRel = index_open(btshared->indexrelid, indexLockmode);
 
 	/* Initialize worker's own spool */
@@ -1602,7 +1602,7 @@ _bt_parallel_build_main(dsm_segment *seg, shm_toc *toc)
 #endif							/* BTREE_BUILD_STATS */
 
 	index_close(indexRel, indexLockmode);
-	heap_close(heapRel, heapLockmode);
+	table_close(heapRel, heapLockmode);
 }
 
 /*
diff --git a/src/backend/bootstrap/bootstrap.c b/src/backend/bootstrap/bootstrap.c
index 63bb1349496..bec0a93e438 100644
--- a/src/backend/bootstrap/bootstrap.c
+++ b/src/backend/bootstrap/bootstrap.c
@@ -604,7 +604,7 @@ boot_openrel(char *relname)
 	if (Typ == NULL)
 	{
 		/* We can now load the pg_type data */
-		rel = heap_open(TypeRelationId, NoLock);
+		rel = table_open(TypeRelationId, NoLock);
 		scan = heap_beginscan_catalog(rel, 0, NULL);
 		i = 0;
 		while ((tup = heap_getnext(scan, ForwardScanDirection)) != NULL)
@@ -625,7 +625,7 @@ boot_openrel(char *relname)
 			app++;
 		}
 		heap_endscan(scan);
-		heap_close(rel, NoLock);
+		table_close(rel, NoLock);
 	}
 
 	if (boot_reldesc != NULL)
@@ -634,7 +634,7 @@ boot_openrel(char *relname)
 	elog(DEBUG4, "open relation %s, attrsize %d",
 		 relname, (int) ATTRIBUTE_FIXED_PART_SIZE);
 
-	boot_reldesc = heap_openrv(makeRangeVar(NULL, relname, -1), NoLock);
+	boot_reldesc = table_openrv(makeRangeVar(NULL, relname, -1), NoLock);
 	numattr = RelationGetNumberOfAttributes(boot_reldesc);
 	for (i = 0; i < numattr; i++)
 	{
@@ -680,7 +680,7 @@ closerel(char *name)
 	{
 		elog(DEBUG4, "close relation %s",
 			 RelationGetRelationName(boot_reldesc));
-		heap_close(boot_reldesc, NoLock);
+		table_close(boot_reldesc, NoLock);
 		boot_reldesc = NULL;
 	}
 }
@@ -939,7 +939,7 @@ gettype(char *type)
 				return i;
 		}
 		elog(DEBUG4, "external type: %s", type);
-		rel = heap_open(TypeRelationId, NoLock);
+		rel = table_open(TypeRelationId, NoLock);
 		scan = heap_beginscan_catalog(rel, 0, NULL);
 		i = 0;
 		while ((tup = heap_getnext(scan, ForwardScanDirection)) != NULL)
@@ -959,7 +959,7 @@ gettype(char *type)
 					sizeof((*app)->am_typ));
 		}
 		heap_endscan(scan);
-		heap_close(rel, NoLock);
+		table_close(rel, NoLock);
 		return gettype(type);
 	}
 	elog(ERROR, "unrecognized type \"%s\"", type);
@@ -1128,12 +1128,12 @@ build_indices(void)
 		Relation	ind;
 
 		/* need not bother with locks during bootstrap */
-		heap = heap_open(ILHead->il_heap, NoLock);
+		heap = table_open(ILHead->il_heap, NoLock);
 		ind = index_open(ILHead->il_ind, NoLock);
 
 		index_build(heap, ind, ILHead->il_info, false, false, false);
 
 		index_close(ind, NoLock);
-		heap_close(heap, NoLock);
+		table_close(heap, NoLock);
 	}
 }
